;
; PUTTEXT.CMD by Prof. Timo Salmi, ts@uwasa.fi, Wed 9-Feb-94
; A script to send a text file to a Unix host from your PC
;
; To run puttext.cmd script give kermit command:
;     take puttext.cmd [filename]
; Or if you have run take zset.cmd then just give kermit command:
;     puttext [filename]
;
; Error handlers:
def errstop1 echo \%1\7\13, define \%1, stop
if not defined \%1 ask \%f Put which textfile?
if defined \%1 define \%f \%1
if not defined \%f errstop1 {Error: You have not defined the filename variable}
;
def errstop2 echo \%1\7\13, define \%f, define \%1, stop
if not exist \%f errstop2 {Error: File \%f not found}
;
set take-echo on         ;Show what is happening
clear                    ;Clear the input buffer
set parity none          ;CHANGE as your system might require
set send packet 1024     ;Use long packets
set file type text       ;This is a text transfer
set take-echo off        ;Enough of displaying the comments
;
pause 1                            ;Let's not be too hasty about it :-)
output kermit\13                   ;Invoke Unix C-kermit
pause 1
output set file type text\13       ;Ordinary ascii text file
pause 1
output set parity none\13          ;CHANGE as your system might require
pause 1
output set receive packet 1024\13  ;Use long packets (C-Kermit)
pause 1
output receive\13                  ;Start receiving by host
pause 1
send \%f                           ;Start sending from your PC
pause 5                            ;A longer pause is required here
output quit\13                     ;Quit host kermit
pause 1
define \%f                         ;Release filename
define \%1                         ;Release parameter
pause 1
echo \13Script PUTTEXT.CMD by Prof. Timo Salmi, Done
